### Type parameters

- #### T

### Hierarchy

- Iterator
  - Generator
  - IterableIterator

## Index

### Methods

- next
- return
- throw

## Methods

### next

- next(value?: any): IteratorResult<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:37

  #### Parameters

  - ##### Optional value: any

  #### Returns IteratorResult<T>

### Optional return

- return(value?: any): IteratorResult<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:38

  #### Parameters

  - ##### Optional value: any

  #### Returns IteratorResult<T>

### Optional throw

- throw(e?: any): IteratorResult<T>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es2015.iterable.d.ts:39

  #### Parameters

  - ##### Optional e: any

  #### Returns IteratorResult<T>

Generated using TypeDoc